## libzerg 1.0.7

=== Makefile ===
CC=gcc
CFLAGS=-O3 -fPIC
LOADLIBES=libzerg.a
PREFIX=/usr/local/libzerg

libzerg.a: zerglexer.o
	ar rc $@ $^
	ranlib libzerg.a

zerglexer.o: zerglexer.c zerg.h

lex.zerg.c: zerglexer.lex
	flex -Cf zerglexer.lex

zerglexer.c: lex.zerg.c
	perl -pe 's/ret_val = EOB_ACT_CONTINUE_SCAN;/ret_val = EOB_ACT_CONTINUE_SCAN;\n\nDESCONTA;/; s/\#define YY_BUF_SIZE 16384/\#define YY_BUF_SIZE 2097152/' lex.zerg.c > zerglexer.c

clean:
	rm -f *.o *~ zerglexer.c libzerg.a lex.zerg.c

install:
	mkdir -m 0755 -p ${PREFIX}/lib ${PREFIX}/include; \
	cp libzerg.a ${PREFIX}/lib; \
	cp zerg.h ${PREFIX}/include

=== debian/changelog ===
libzerg (1.0.7-5) unstable; urgency=low

  * [Andreas Tille] debian/upstream:
     - Added URL + eprint
     - Moved DOI to references
     - Make author field BibTeX compliant

  [Laszlo Kajan]
  * Removing non-policy-compliant get-orig-source target from debian/rules.

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 06 Jul 2012 15:35:05 +0200

libzerg (1.0.7-4) unstable; urgency=low

  * Fixed svn-buildpackage issue on unstable by saving original make file
    in Makefile.libzerg-orig
  * Revised description.
  * Mention librostlab-blast as a parser option.

 -- Laszlo Kajan <lkajan@rostlab.org>  Fri, 20 Jan 2012 14:26:44 +0100

libzerg (1.0.7-3) unstable; urgency=low

  [ Laszlo Kajan ]
  * Tille: debian/upstream-metadata.yaml: Added some missing fields
    Tue, 10 Jan 2012 08:30:18 +0100
  * Kajan: Renamed libzerg-dev to libzerg0-dev, Provides: libzerg-dev
  * Renamed libzerg-dbg to libzerg0-dbg.
  * dh build now, no more CDBS, with dh-autoreconf.
  * No more debian-changes patches.

  [ Andreas Tille ]
  * debian/patches/save_makefile.patch
    - Make sure original Makefile can be restored
  * debian/rules: Fixed clean target

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2012 13:35:10 +0100

libzerg (1.0.7-2) unstable; urgency=low

  * Patched lexer to handle blastpgp [2.2.18] output.

 -- Laszlo Kajan <lkajan@rostlab.org>  Tue, 20 Sep 2011 10:51:18 +0200

libzerg (1.0.7-1) unstable; urgency=low

  * Initial release (Closes: #641581)
  * Pached to build with autotools and libtools allowing for a shared library
    as well as the static

 -- Laszlo Kajan <lkajan@rostlab.org>  Wed, 14 Sep 2011 15:29:37 +0200

=== debian/control ===
Source: libzerg
Section: science
Priority: extra
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Laszlo Kajan <lkajan@rostlab.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf, flex, perl
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/rostlab/libzerg/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/rostlab/libzerg/trunk/
DM-Upload-Allowed: yes
Homepage: http://code.google.com/p/libzerg/

Package: libzerg0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C library for lexically scanning the output of NCBI BLAST programs
 Zerg is a C library for lexing - lexically scanning - the output of NCBI
 BLAST programs.
 .
 Based on a
 GNU Flex-generated lexical scanner, it runs extremely fast, being especially
 useful for processing large volumes of data. Benchmark tests show that Zerg
 is over two orders of magnitude faster than some widely used BLAST parsers.
 .
 If you need a parser and not only a lexer, check out librostlab-blast.
 .
 This package contains the shared library.

Package: libzerg0-dev
Architecture: any
Section: libdevel
Depends: libzerg0 (= ${binary:Version}), ${misc:Depends}
Provides: libzerg-dev
Description: development libraries and header files for libzerg
 Zerg is a C library for lexing - lexically scanning - the output of NCBI
 BLAST programs.
 .
 Based on a
 GNU Flex-generated lexical scanner, it runs extremely fast, being especially
 useful for processing large volumes of data. Benchmark tests show that Zerg
 is over two orders of magnitude faster than some widely used BLAST parsers.
 .
 If you need a parser and not only a lexer, check out librostlab-blast.
 .
 This package contains the header files and documentation
 needed to develop applications with libzerg.

Package: libzerg0-dbg
Architecture: any
Section: debug
Depends: libzerg0 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for libzerg
 Zerg is a C library for lexing - lexically scanning - the output of NCBI
 BLAST programs.
 .
 This package provides the detached debug symbols.

=== debian/rules ===
#!/usr/bin/make -f

export CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
export CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --with autoreconf $@ 

override_dh_clean:
	dh_clean
	rm -rf *.lo *.la *.o .libs
	rm -rf *.c libtool stamp-h1 Makefile

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=libzerg0-dbg

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
http://sf.net/libzerg/libzerg_(.*)\.tar\.gz
